/* AP 24-sep-12 evlist.h					*/
/*		einfach verkettete Liste mit Zugriffsfunktionen	*/

# ifndef __evlist_h
# define __evlist_h

typedef struct listElem * listElemPT;
typedef struct listElem {
	int count;
	listElemPT next;
} listElemT;

/* gibt Zeiger auf neues Element zurueck */
listElemPT insertElem( listElemPT curr, int count );

/* gibt Zeiger auf neues Element zurueck */
listElemPT appendElem( listElemPT head, int count );

/* sortiert die Liste nach aufsteigenden Werten */
/* gibt Listenanfang zurück */
listElemPT sortList( listElemPT head );

/* gibt Zeiger auf naechstes Listenelement zurueck */
/* NULL am Listenende */
listElemPT nextElem( listElemPT curr );

/* gibt Zeiger auf vorheriges Listenelement zurueck */
/* NULL am Listenanfang */
listElemPT prevElem( listElemPT head, listElemPT curr );

/* gibt Zahl der Listenelemente zurueck */
int lenList( listElemPT head );

/* loescht Element aus der Liste */
/* gibt Zeiger auf Vorgaenger zurueck */
/* NULL wenn Liste leer	*/
listElemPT deleteElem( listElemPT head, listElemPT elem );

# endif

