/* AP 25-sep-12	istack.h			*/
/*		ein Integer-Stack		*/


# ifndef __istack_h
# define __istack_h

enum errorT { OK, NOT_INITIALIZED, EMPTY, NO_MEMORY };

/* Alle Operationen setzen error Variable */
extern enum errorT error;

typedef struct stackElem * stackElemPtr;
typedef struct _stack {
	stackElemPtr top;
} * Stack;

struct stackElem {
	int val;
	stackElemPtr next;
	stackElemPtr prev;
} stackElemT;

void push( Stack, int );
int pop( Stack );
int top( Stack );
void swap( Stack );

Stack allocStack();
void freeStack( Stack );

# endif

